Changes between Version 2 and Version 3 of AdvancedInstall


Ignore:
Timestamp:
May 16, 2016, 3:29:53 PM (4 years ago)
Author:
flip
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • AdvancedInstall

    v2 v3  
    55Python packages.
    66
    7 == Install Python ==
     7== Step 1 - Install Python ==
    88
    99Vespa will work with any 64-bit Python 2.7. Some possible sources for
     
    1919dependencies are pip-friendly.
    2020
    21 == Check Your Python ==
     21== Step 2 - Check Your Python ==
    2222
    2323Download [export:/trunk/get_python_info.py get_python_info.py] and
     
    2929It will tell you whether or not Vespa is compatible with your Python.
    3030
    31 == Upgrade pip ==
     31== Step 3 - Upgrade pip ==
    3232
    3333Ensure you're running the latest version of pip. (Older versions of pip
     
    3838}}}
    3939
    40 == Install Vespa's Easy Dependencies ==
     40== Step 4 - Install Vespa's Easy Dependencies ==
    4141
    4242These packages are easy to install with pip on all the platforms
     
    4646}}}
    4747
    48 == Install Numpy, Scipy, and Matplotlib ==
     48== Step 5 - Install Numpy, Scipy, and Matplotlib ==
    4949
    5050Under '''OS X and Linux''', you can install Numpy, Scipy, and matplotlib via `pip` (on OS X) and the
     
    5555Once Numpy and Scipy are installed, you can `pip install matplotlib`.
    5656
    57 == Install PyWavelets ==
     57== Step 6 - Install PyWavelets ==
    5858
    5959Under '''Windows''', you can install this with `pip install pywavelets==0.3.0`.
     
    6464[https://scion.duhs.duke.edu/vespa/analysis/wiki/PyWaveletsOsx PyWavelets 0.3.0 wheel that we provide].
    6565
    66 == Install wxPython ==
     66== Step 7 - Install wxPython ==
    6767
    6868Under '''Linux''', get wxPython 3 if your package manager offers it, or
     
    7272provided on [http://wxPython.org wxPython.org].
    7373
    74 == Install FFTW3 (Linux Only) ==
     74== Step 8 - Install FFTW3 (Linux Only) ==
    7575
    7676'''Linux''' users, use your package manager to install the FFTW3 runtime
     
    7878
    7979
    80 == Finish the Vespa Install ==
     80== Step 9 - Finish the Vespa Install ==
    8181
    8282Run this command --